commit: f0b0730b7ae84aecf42e5dd7dfd2edec79770acc
Author: Virgil Dupras <vdupras <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 18 02:52:36 2019 +0000
Commit: Virgil Dupras <vdupras <AT> gentoo <DOT> org>
CommitDate: Mon Mar 18 02:52:36 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f0b0730b
dev-python/pylint: bump to 2.3.1
Signed-off-by: Virgil Dupras <vdupras <AT> gentoo.org>
Package-Manager: Portage-2.3.62, Repoman-2.3.11
dev-python/pylint/Manifest | 1 +
dev-python/pylint/pylint-2.3.1.ebuild | 56 +++++++++++++++++++++++++++++++++++
2 files changed, 57 insertions(+)
diff --git a/dev-python/pylint/Manifest b/dev-python/pylint/Manifest
index 65895909f11..c4378543c5d 100644
--- a/dev-python/pylint/Manifest
+++ b/dev-python/pylint/Manifest
@@ -1,3 +1,4 @@
DIST pylint-1.6.5.tar.gz 465578 BLAKE2B
05412a528878633ef7529dd2f2d2d1989bc9406666626d62764f476bbc024e34fea06883fae829fe6617ebfffde54dfa5600c140b9a25e6c9633f48d76f5c331
SHA512
2fac352dc752b37f1ce4f7fefe5afbbc880d7e6c38f164d1c50734716af1dd6fe31f7d41e145a8256837d5a63b1989efec40c169fc14840cf8eb4e18d9bb2410
DIST pylint-1.8.4.tar.gz 512582 BLAKE2B
623e224ec71756cc2528346ac62b8e58ac4d5ef55d9e31e667d5389aa5b2dad712f60c7e90df5c831f57bf28e0ccbd00ddece4ade46410c28b67adb1a041a85f
SHA512
07e55ed3f09326e1973215046e3b172f6065a7ed0ae657cba7a6825a26bb103bdbf8b83126bafd99f332fe0eec3547bcd6e618d6e9f612ddcf9c504bb850dcd9
DIST pylint-2.2.2.tar.gz 568313 BLAKE2B
a6a3a48a96820bf9412dbd5f3e643d95fe7c9ead9752920d9979debaf5da53a3b5076c39975dd37420c86b71fd2ed2f513c42663fbaf1e6103a0958271773c58
SHA512
29a9bf39413479cb2996b1a2e0d3aaa1845faf3038b17c30948554c359fe8cc858e9bfc0488ed0af204daea22e0ab36d765c447eae66ac7ac6d60d66d9a33fef
+DIST pylint-2.3.1.tar.gz 577767 BLAKE2B
2af206a9d9be04f369c2bbc39c5ddb80c29a5a39c20d75bfec84498882eab628a7cf5abcc5786933304ed99bd00ffa142b9a58abab348c947799f962b877bb30
SHA512
924d8adc95f04ba750b3b44fe79ac569151ea7c8f693cc9867bcda3878209ebc2202931702b98f80709d161d3781b6e181aea0ded35a3323c023497e2a749ea9
diff --git a/dev-python/pylint/pylint-2.3.1.ebuild
b/dev-python/pylint/pylint-2.3.1.ebuild
new file mode 100644
index 00000000000..db307294d85
--- /dev/null
+++ b/dev-python/pylint/pylint-2.3.1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="Python code static checker"
+HOMEPAGE="https://www.logilab.org/project/pylint
+ https://pypi.org/project/pylint/
+ https://github.com/pycqa/pylint"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ia64 ~ppc64 ~sparc ~x86"
+IUSE="doc examples test"
+
+RDEPEND="
+ >=dev-python/astroid-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/isort-4.2.5[${PYTHON_USEDEP}]
+ dev-python/mccabe[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/pytest-runner[${PYTHON_USEDEP}]
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ test? ( ${RDEPEND}
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ )"
+
+python_compile_all() {
+ # selection of straight html triggers a trivial annoying bug, we skirt
it
+ use doc && PYTHONPATH="${S}" emake -e -C doc singlehtml
+}
+
+python_test() {
+ ${EPYTHON} -m pytest -v pylint/test/ || die "tests failed"
+}
+
+python_install_all() {
+ doman man/{pylint,pyreverse}.1
+ if use examples ; then
+ docinto examples
+ dodoc -r examples/.
+ fi
+ use doc && local HTML_DOCS=( doc/_build/singlehtml/. )
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ # Optional dependency on "tk" USE flag would break support for Jython.
+ optfeature "pylint-gui script requires dev-lang/python with \"tk\" USE
flag enabled." 'dev-lang/python[tk]'
+}